"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const eslint_1 = require("eslint");
process.on("message", (msg) => {
    let eslint = new eslint_1.ESLint({ fix: msg.fix });
    eslint
        .lintFiles(msg.filesToLint)
        .then((results) => __awaiter(void 0, void 0, void 0, function* () {
        var _a;
        let fixCount = 0;
        if (msg.fix) {
            fixCount = results.filter((r) => r.output !== undefined).length;
            yield eslint_1.ESLint.outputFixes(results);
        }
        let formatter = yield eslint.loadFormatter("stylish");
        let resultText = formatter.format(results);
        (_a = process.send) === null || _a === void 0 ? void 0 : _a.call(process, {
            summary: {
                message: resultText,
                errorCount: results.reduce((count, err) => count + err.errorCount, 0),
                warningCount: results.reduce((count, err) => count + err.warningCount, 0),
                fixableCount: results.reduce((count, err) => count + err.fixableErrorCount + err.fixableWarningCount, 0),
                fixCount,
            },
        });
        return true;
    }))
        .catch((err) => {
        var _a;
        (_a = process.send) === null || _a === void 0 ? void 0 : _a.call(process, {
            error: { message: err.message },
        });
        return false;
    })
        .then((success) => {
        var _a;
        (_a = process.send) === null || _a === void 0 ? void 0 : _a.call(process, { finished: { success } });
    })
        .catch((err) => {
        // eslint-disable-next-line no-console
        console.error(err);
    });
});
//# sourceMappingURL=linter-process-eslint.js.map