"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCleanCommand = void 0;
const fs = require("fs");
const glob = require("glob");
function deleteFolderRecursive(path) {
    if (fs.existsSync(path)) {
        fs.readdirSync(path).forEach((file) => {
            let curPath = `${path}/${file}`;
            if (fs.lstatSync(curPath).isDirectory()) {
                // recurse
                deleteFolderRecursive(curPath);
            }
            else {
                // delete file
                fs.unlinkSync(curPath);
            }
        });
        fs.rmdirSync(path);
    }
}
function createCleanCommand() {
    return {
        execute() {
            deleteFolderRecursive("./build");
            deleteFolderRecursive("./dist");
            let rogueFiles = glob.sync("{src,test}/**/*.js{,.map}", {});
            rogueFiles.forEach((file) => fs.unlinkSync(file));
            return Promise.resolve(true);
        },
    };
}
exports.createCleanCommand = createCleanCommand;
//# sourceMappingURL=clean.js.map