"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFixAllCommand = void 0;
function createFixAllCommand(deps) {
    const { formatter, linter, git } = deps;
    return {
        execute() {
            return __awaiter(this, void 0, void 0, function* () {
                let allFiles = yield git.findAllTypescriptFiles();
                let success = yield formatter.formatFiles(allFiles);
                if (success) {
                    success = yield linter.lintOnce(true, allFiles);
                }
                return success;
            });
        },
    };
}
exports.createFixAllCommand = createFixAllCommand;
//# sourceMappingURL=fix-all.js.map