"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPostCheckoutCommand = void 0;
const helpers_1 = require("../helpers");
function createPostCheckoutCommand(deps) {
    const { logger } = deps;
    return {
        execute(options) {
            return __awaiter(this, void 0, void 0, function* () {
                try {
                    logger.log("hooks", "postcheckout git hook running");
                    let { previousHead } = options;
                    if (previousHead === "%1") {
                        previousHead = "ORIG_HEAD";
                    }
                    yield (0, helpers_1.updateDependencies)(logger, previousHead);
                }
                catch (error) {
                    logger.error("hooks", `post-checkout hook failed, continuing anyway ${error.message}`);
                }
                return Promise.resolve(true);
            });
        },
    };
}
exports.createPostCheckoutCommand = createPostCheckoutCommand;
//# sourceMappingURL=post-checkout.js.map