"use strict";
// post-checkout and post-merge are used to run 'npm install' if needed
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPostMergeCommand = void 0;
const helpers_1 = require("../helpers");
/* tslint:disable:no-console */
function createPostMergeCommand(deps) {
    const { logger } = deps;
    return {
        execute() {
            return __awaiter(this, void 0, void 0, function* () {
                logger.log("hooks", "postmerge git hook running");
                try {
                    yield (0, helpers_1.updateDependencies)(logger, "ORIG_HEAD");
                }
                catch (error) {
                    logger.error("hooks", `post-merge hook failed, continuing anyway ${error.message}`);
                }
                return Promise.resolve(true);
            });
        },
    };
}
exports.createPostMergeCommand = createPostMergeCommand;
//# sourceMappingURL=post-merge.js.map